#include <iostream>
#include <bits/stdc++.h>
using namespace std;

long long absolut(long long x){
    if(x < 0)
        x *= -1;
    return x;
}

int main()
{
    long long n;
    cin >> n;
    long long m;
    cin >> m;
    long long x[m], y[m];
    long long a[n];
    for(long long i = 0; i < n; i++)
        cin >> a[i];
    long long ans = 0;
    for(long long i = 0; i < m; i++){
        cin >> x[i] >> y[i];
            ans += absolut(a[x[i] - 1] + a[y[i] - 1]);
    }
    cout << ans;
    return 0;
}